Package DEB : eclipse 4.3.1

ERRATUM : Eclipse 4.3.1 fonctionne très bien avec OpenJDK. Je vous propose aujourd'hui un paquet Debian/Ubuntu d'Eclipse version 4.3.1... Pour Slackware, le paquet existe déjà sur Slackbuild.org (Slackware... Toujours un temps d'avance ! [Spéciale dédicace pour Fab ^^]). Maintenant, parlons pour Ubuntu... Mais mais mais... Vous me direz peut-être "Eclipse est déjà dans les dépôts, non mais !", et je vous répondrai alors... Oui mais la version dans les dépôts est la version 3.8, très vieille version datant de 2011... Mais alors... Pourquoi Canonical ne la met pas à jour ? Ubuntu est vendu comme une distribution qui incarne les toutes dernières versions de logiciel.... Pourquoi ce retard ? Déjà parce que c'est pas vrai qu'ils intègrent les toutes dernières version (ils ont libreoffice 4.1.3 alors que la dernière version, 4.1.4, est sortie en décembre 2013...). Et concernant Eclipse, c'est encore pire, mais il y a une raison. Les dernières version d'Eclipse (après 3.8) nécessitent java en version non libre d'oracle, alors que Canonical se refuse de fournir cette version et s'obstine avec son openJDK 100% libre... Oui car Canonical est un fervent défenseur du libre, c'est pourquoi ils ne proposent que des produits libres dans Ubuntu, comme Amazon par exemple... ^^ (rires sarcastiques) Bref, je vais vous expliquer comment installer la version Java JDK d'Oracle, puis comment installer la dernière version d'Eclipse. Mais avant ceci, commençons par une description du logiciel, Eclipse. Attention ! La version que nous fournissons est en version 64 bits.

Description

Eclipse est une Plate-forme extensible d'outil et d'environnement de développement Java, ouverte et extensible pour tout et n'importe quoi. Elle fournit les fondations pour construire des outils de développement logiciel intégré. La plate-forme Eclipse permet aux développeurs d'outils de construire leurs outils indépendamment et de les intégrer avec ceux d'autres personnes de telle manière qu'on ne sache pas vraiment où s'arrête le premier outil et où commence le second. Si c'est incompréhensible... Plaignez-vous à Canonical, je ne fais que copier-coller sauvagement leur description !

Installation

Alors voilà ce qui vous intéresse. Il y aura 2 parties : installation de Java, puis Installation d'Eclipse.
Installation de Java d'Oracle
Avant tout, si vous avez installé openjdk (jdk ou jre), commencez par le désinstaller. Java d'Oracle est disponible sur Ubuntu via un dépôt externe. Vous installez un paquet qui vous installara java. Pour se faire il suffit de lancer à la suite les commandes suivantes : sudo add-apt-repository ppa:webupd8team/java && sudo apt-get update sudo apt-get install oracle-java7-installer  Et voilà, vous avez intallé Java. Source : http://kaisman.fr/mesmots/blog/2013/01/06/installer-oracle-java-6-7-ou-8-sur-ubuntu/
Installation d'Eclipse
Là, retour aux classics. Téléchargez le paquet DEB que vous nous fournissons à cette adresse. Puis installez-le grâce à la commande suivante : sudo dpkg -i eclipse_4.3.1_amd64.deb Vous pouvez également l'installer via la logithèque d'Ubuntu.

Package DEB/SLK : PdfSam 2.2.2e

Je vous propose aujoud'hui un outil indispensable pour manipuler vos fichiers PDFs. En effet, ce logiciel permet, gratuitement de :
  • Crypter/Décrypter des PDFs
  • Effectuer des rotations de pages d'un PDF
  • Assembler plusieurs PDFs
  • Extraire certaines pages d'un PDF
  • Changer l'ordre des pages d'un PDF
  • Et bien plus encore...

Description (fournie par PDFSam) :

PDF Split and Merge is an easy to use tool to merge and split pdf documents. Console and GUI versions are available. The GUI is written in Java Swing and it provides functions to select files and set options. It's made over the iText library.

Installation

Vous devez avoir installé au préalable java sur votre ordinateur. Sous Slackware, vous le trouvez jdk chez slackbuild.org. Sous Ubuntu, vous pouvez installer le paquet Moteur OpenJDK java 7. Il suffit ensuite de télécharger le paquet pdfsam pour Debian (dossier deb) ou Slackware (dossier txz) dans notre gestionnaire de paquets. Ensuite, installez-le via les commandes habituelles (ou via la logithèque pour Ubuntu).

Package DEB/SLK : BioPython 1.63 (pour python3)

BioPython est un outil véritablement indispensable à tout bio-informaticien désireux de créer un programme dans le langage python.

Description (source : site web de BioPython) :

Biopython is a set of freely available tools for biological computation written in Python by an international team of developers. It is a distributed collaborative effort to develop Python libraries and applications which address the needs of current and future work in bioinformatics. The source code is made available under the Biopython License, which is extremely liberal and compatible with almost every license in the world. We work along with the Open Bioinformatics Foundation, who generously host our website, bug tracker, and mailing lists. Site web : http://biopython.org/wiki/Main_Page Documentation : http://biopython.org/wiki/Documentation Note : tous nos paquets sont fournis uniquement sous l’architecture 64 bits.

Installation

Sous Ubuntu 13.10 et dérivés :
  1. Installer python3-numpy depuis les dépôts officiels (si vous ne l'avez pas déjà) : sudo apt-get install python3-numpy (ou installez-le depuis la Logithèque)
  2. Télécharger le paquet précompilé de BioPython en cliquant sur ce lien.
  3. Installer le paquet grâce à la commande : sudo dpkg -i biopython_1.63-1_amd64.deb   (ou ouvrez-le dans la Logithèque et cliquez sur Installer).
Sous Slackware 14.1 :
  1.  Installer Numpy pour python 3, si vous ne l'avez pas déjà.
  2. Télécharger le paquet précompilé de BioPython en cliquant sur ce lien.
  3. Installer le paquet grâce à la commande : installpkg biopython-python3-1.63-x86_64-1_SBo.tgz